MWAWBorder Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MWAWBorder Struct Reference

a border More...

`#include <libmwaw_internal.hxx>`

## Public Types
enum | Style { None , Simple , Dot , LargeDot , Dash }
| the line style More...
enum | Type { Single , Double , Triple }
| the line repetition More...

## Public Member Functions
| MWAWBorder ()
| constructor More...
| MWAWBorder (MWAWBorder const &)=default
| MWAWBorder (MWAWBorder &&)=default
MWAWBorder & | operator= (MWAWBorder const &)=default
MWAWBorder & | operator= (MWAWBorder &&)=default
bool | addTo (librevenge::RVNGPropertyList &propList, std::string which="") const
| add the border property to proplist (if needed ) More...
bool | isEmpty () const
| returns true if the border is empty More...
bool | operator== (MWAWBorder const &orig) const
| operator== More...
bool | operator!= (MWAWBorder const &orig) const
| operator!= More...
int | compare (MWAWBorder const &orig) const
| compare two borders More...

## Public Attributes
Style | m_style
| the border style More...
Type | m_type
| the border repetition More...
double | m_width
| the border total width in point More...
std::vector< double > | m_widthsList
| the different length used for each line/sep (if defined) More...
MWAWColor | m_color
| the border color More...
std::string | m_extra
| extra data ( if needed) More...

## Friends
std::ostream & | operator<< (std::ostream &o, MWAWBorder const &border)
| operator<< More...
std::ostream & | operator<< (std::ostream &o, MWAWBorder::Style const &style)
| operator<<: prints data in form "none|dot|..." More...

## Detailed Description

a border

## Member Enumeration Documentation

## ◆ Style

enum MWAWBorder::Style

the line style

Enumerator
None |
Simple |
Dot |
LargeDot |
Dash |

## ◆ Type

enum MWAWBorder::Type

the line repetition

Enumerator
Single |
Double |
Triple |

## Constructor & Destructor Documentation

## ◆ MWAWBorder() [1/3]

MWAWBorder::MWAWBorder | ( |  | ) |
| inline

constructor

## ◆ MWAWBorder() [2/3]

MWAWBorder::MWAWBorder | ( | MWAWBorder const & |  | ) |
| default

## ◆ MWAWBorder() [3/3]

MWAWBorder::MWAWBorder | ( | MWAWBorder && |  | ) |
| default

## Member Function Documentation

## ◆ addTo()

bool MWAWBorder::addTo | ( | librevenge::RVNGPropertyList & | propList,
|  | std::string | which = `""`
| ) |  | const

add the border property to proplist (if needed )

Note
  if set which must be equal to "left", "top", ...

Referenced by MWAWParagraph::addTo().

## ◆ compare()

int MWAWBorder::compare | ( | MWAWBorder const & | orig | ) | const

compare two borders

## ◆ isEmpty()

bool MWAWBorder::isEmpty | ( |  | ) | const
| inline

returns true if the border is empty

Referenced by MWAWParagraph::addTo(), FullWrtStruct::Border::addTo(), MacWrtProStructuresInternal::Graphic::fillFrame(), MacWrtProStructuresInternal::Graphic::hasBorders(), RagTimeSpreadsheetInternal::CellBorder::hasBorders(), MWAWCell::hasExtraLine(), and WriteNowTextInternal::TableData::updateCell().

## ◆ operator!=()

bool MWAWBorder::operator!= | ( | MWAWBorder const & | orig | ) | const
| inline

operator!=

Referenced by operator==().

## ◆ operator=() [1/2]

MWAWBorder & MWAWBorder::operator= | ( | MWAWBorder && |  | ) |
| default

## ◆ operator=() [2/2]

MWAWBorder & MWAWBorder::operator= | ( | MWAWBorder const & |  | ) |
| default

## ◆ operator==()

bool MWAWBorder::operator== | ( | MWAWBorder const & | orig | ) | const
| inline

operator==

## Friends And Related Function Documentation

## ◆ operator<< [1/2]

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWBorder const & | border
| ) |  |
| friend

operator<<

## ◆ operator<< [2/2]

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWBorder::Style const & | style
| ) |  |
| friend

operator<<: prints data in form "none|dot|..."

## Member Data Documentation

## ◆ m_color

MWAWColor MWAWBorder::m_color

the border color

Referenced by MarinerWrtGraphInternal::Token::addPictBorder(), MWAWSection::addTo(), addTo(), FullWrtStruct::Border::addTo(), HanMacWrdJGraphInternal::FrameFormat::addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), compare(), MarinerWrtTextInternal::Paragraph::BorderFill::getBorder(), RagTime5StyleManager::getCellBorder(), FullWrtStruct::Border::getParagraphBorders(), MacWrtProStructuresInternal::Graphic::hasBorders(), operator!=(), PowerPoint3Parser::readFramesList(), PowerPoint1Parser::readFramesList(), MacWrtProStructures::readGraphic(), RagTimeSpreadsheet::readResource(), PowerPoint7Graph::readStyle(), HanMacWrdKGraph::readTable(), ClarisWksTable::readTableCells(), HanMacWrdJGraph::readTableFormatsList(), RagTimeParser::send(), MacDrawProParser::send(), HanMacWrdJGraph::sendComment(), MWAWTable::sendExtraLines(), ClarisDrawGraph::sendGroup(), ClarisWksGraph::sendGroupChild(), ClarisDrawGraph::sendMainGroupChild(), RagTimeParser::sendPicture(), MsWksTable::sendTable(), FullWrtText::sendTable(), HanMacWrdJGraphInternal::TableCell::update(), and ClarisWksTableInternal::TableCell::update().

## ◆ m_extra

std::string MWAWBorder::m_extra

extra data ( if needed)

Referenced by MacWrtProStructures::readGraphic(), and RagTimeSpreadsheet::readResource().

## ◆ m_style

Style MWAWBorder::m_style

the border style

Referenced by MarinerWrtGraphInternal::Token::addPictBorder(), MWAWSection::addTo(), addTo(), FullWrtStruct::Border::Border(), compare(), MarinerWrtTextInternal::Paragraph::BorderFill::getBorder(), MsWrdStruct::getBorder(), RagTime5StyleManager::getCellBorder(), isEmpty(), MWAWSection::MWAWSection(), operator!=(), FullWrtStruct::Border::read(), HanMacWrdKText::readParagraph(), StyleParser::readRules(), HanMacWrdKGraph::readTable(), HanMacWrdJGraph::readTableFormatsList(), MWAWParagraph::resizeBorders(), MWAWCell::setBorders(), MWAWGraphicStyle::setBorders(), ClarisWksTableInternal::TableCell::update(), and WriteNowTextInternal::TableData::updateCell().

## ◆ m_type

Type MWAWBorder::m_type

the border repetition

Referenced by MarinerWrtGraphInternal::Token::addPictBorder(), addTo(), HanMacWrdJGraphInternal::FrameFormat::addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), compare(), MarinerWrtTextInternal::Paragraph::BorderFill::getBorder(), FullWrtStruct::Border::getBorder(), MsWrdStruct::getBorder(), operator!=(), MsWrdStruct::Paragraph::read(), FullWrtStruct::Border::read(), PowerPoint3Parser::readFramesList(), PowerPoint1Parser::readFramesList(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), PowerPoint7Graph::readStyle(), HanMacWrdKGraph::readTable(), HanMacWrdJGraph::readTableFormatsList(), ClarisWksTableInternal::TableCell::update(), WriteNowTextInternal::TableData::updateCell(), and MacWrtProStructuresInternal::State::updateLineType().

## ◆ m_width

double MWAWBorder::m_width

the border total width in point

Referenced by MarinerWrtGraphInternal::Token::addPictBorder(), MWAWSection::addTo(), addTo(), HanMacWrdJGraphInternal::FrameFormat::addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), compare(), MacWrtProStructuresInternal::Graphic::fillFrame(), MarinerWrtTextInternal::Paragraph::BorderFill::getBorder(), FullWrtStruct::Border::getBorder(), MsWrdStruct::getBorder(), RagTime5StyleManager::getCellBorder(), isEmpty(), operator!=(), MsWrdStruct::Paragraph::read(), FullWrtStruct::Border::read(), BeagleWksStructManager::readFrame(), PowerPoint3Parser::readFramesList(), PowerPoint1Parser::readFramesList(), MacWrtProStructures::readGraphic(), HanMacWrdJText::readParagraph(), HanMacWrdKText::readParagraph(), RagTimeSpreadsheet::readResource(), StyleParser::readRules(), PowerPoint7Graph::readStyle(), HanMacWrdKGraph::readTable(), ClarisWksTable::readTableCells(), HanMacWrdJGraph::readTableFormatsList(), RagTimeParser::send(), MacDrawProParser::send(), HanMacWrdJGraph::sendComment(), MWAWTable::sendExtraLines(), ClarisDrawGraph::sendGroup(), ClarisDrawGraph::sendMainGroupChild(), RagTimeParser::sendPicture(), MsWksTable::sendTable(), FullWrtText::sendTable(), HanMacWrdJGraphInternal::TableCell::update(), ClarisWksTableInternal::TableCell::update(), and WriteNowTextInternal::TableData::updateCell().

## ◆ m_widthsList

std::vector<double> MWAWBorder::m_widthsList

the different length used for each line/sep (if defined)

Note
  when defined, the size of this list must be equal to 2*Type-1

Referenced by MarinerWrtGraphInternal::Token::addPictBorder(), addTo(), HanMacWrdJGraphInternal::FrameFormat::addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), MarinerWrtTextInternal::Paragraph::BorderFill::getBorder(), operator!=(), FullWrtStruct::Border::read(), PowerPoint3Parser::readFramesList(), PowerPoint1Parser::readFramesList(), PowerPoint7Graph::readStyle(), HanMacWrdKGraph::readTable(), HanMacWrdJGraph::readTableFormatsList(), and MacWrtProStructuresInternal::State::updateLineType().

The documentation for this struct was generated from the following files:

- libmwaw_internal.hxx
- libmwaw_internal.cxx